| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.ILicenseStatus Interface Reference

LicenseStatus interface. More...

Inheritance diagram for LicenseSpring.ILicenseStatus:

## Public Member Functions
bool | IsActive ()
| Method for checking license Active/Inactive state.
bool | IsDeleted ()
| Method for checking if license was deleted from LicenseSpring backend.
bool | IsEnabled ()
| Method for checking license Enabled/Disabled state.
bool | IsExpired ()
| Method that returns cached value is license expired or not.
bool | IsOk ()
| Helper method for checking local license status.
string | ToString ()
| License status string, override Object.ToString.

## Detailed Description

LicenseStatus interface.

## Member Function Documentation

## ◆ IsActive()

bool LicenseSpring.ILicenseStatus.IsActive | ( |  | ) |

Method for checking license Active/Inactive state.

License considered active if it was successfully activated, it can become inactive after deactivation or if it was reset.

Pay attention that license can be active and expired or disabled at the same time.

Returns
  Boolean value indicating whether license is Active

Implemented in LicenseSpring.LicenseStatus.

## ◆ IsDeleted()

bool LicenseSpring.ILicenseStatus.IsDeleted | ( |  | ) |

Method for checking if license was deleted from LicenseSpring backend.

License can become Deleted after online license check if it was deleted by administrator.

In case license was deleted it is recommended to notify end user and remove local license, to do this use LicenseManager.ClearLocalStorage

Returns
  Boolean value indicating whether license was deleted

Implemented in LicenseSpring.LicenseStatus.

## ◆ IsEnabled()

bool LicenseSpring.ILicenseStatus.IsEnabled | ( |  | ) |

Method for checking license Enabled/Disabled state.

License can become Disabled after online license check if it was disabled by administrator.

Returns
  Boolean value indicating whether license is Enabled

Implemented in LicenseSpring.LicenseStatus.

## ◆ IsExpired()

bool LicenseSpring.ILicenseStatus.IsExpired | ( |  | ) |

Method that returns cached value is license expired or not.

ATTENTION: Do not rely on this method, because it does not perform any checks, it just return cached value from local license.

In order to check if license is expired use License.IsExpired or online/local license checks.

Returns
  Boolean value indicating whether license is expired

Implemented in LicenseSpring.LicenseStatus.

## ◆ IsOk()

bool LicenseSpring.ILicenseStatus.IsOk | ( |  | ) |

Helper method for checking local license status.

Returns
  It returns true if status is active, enabled and not expired or deleted.

Implemented in LicenseSpring.LicenseStatus.

## ◆ ToString()

string LicenseSpring.ILicenseStatus.ToString | ( |  | ) |

License status string, override Object.ToString.

Possible values are: Active, Disabled, Expired, Inactive and Deleted.

Returns
  String representation of license status

Implemented in LicenseSpring.LicenseStatus.

The documentation for this interface was generated from the following file:

- LicenseStatus.cs